#include<stdio.h>
#include<math.h>
main()
{
int i=0,j=1,s=0,b,n,temp;
scanf("%d",&n);
int a[n];
for(i=0;i<n;i++)scanf("%d",&a[i]);
i=0;
if(n<=2)
{
	temp=a[i];
	a[i]=a[i+1];
	a[i+1]=temp;
	goto Zadnja;	
}
else
{
for(i=0;i<n-1;i++)//proverava da li je niz u rastucem poretku
{
	if(a[i+1]>=a[i])
	{
		s++;
	}
}
if(s>n/2+1)
{
for(i=1;i<n;i++)
{
	for(j=i+1;j<n;j++)
	{
		if(a[i]>a[j])
		{
			int temp=a[i];
			a[i]=a[j];
			a[j]=temp;
			goto Zadnja;
		}
	}
}
}
else
{
for(i=1;i<n;i++)
{
	for(j=i+1;j<n;j++)
	{
		if(a[i]<a[j])
		{
			int temp=a[i];
			a[i]=a[j];
			a[j]=temp;
			goto Zadnja;
		}
	}
}	
}
Zadnja:;
for(i=0;i<n;i++)
printf("%d ",a[i]);
}
}